Bug 1711175 - Review Request: R-vctrs - Vector Helpers
Summary: Review Request: R-vctrs - Vector Helpers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1710187
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-17 07:18 UTC by Elliott Sales de Andrade
Modified: 2019-06-01 00:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-01 00:51:45 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-05-17 07:18:14 UTC
Spec URL: https://qulogic.fedorapeople.org//R-vctrs.spec
SRPM URL: https://qulogic.fedorapeople.org//R-vctrs-0.1.0-1.fc30.src.rpm

Description:
Defines new notions of prototype and size that are used to provide tools for
consistent and well-founded type-coercion and size-recycling, and are in turn
connected to ideas of type- and size-stability useful for analyzing function
interfaces.

Comment 1 Elliott Sales de Andrade 2019-05-17 07:18:18 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=34889644

Comment 2 José Matos 2019-05-17 10:53:37 UTC
he spec is simple and well written. The license is correct and acceptable for
Fedora.

fedora-review complains about:

- Package have the default element marked as %%doc :doc, DESCRIPTION

This is a non issue.

- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

These are also non issue because since the spec requires R-devel that requires
R-core-devel.
R-core-devel requires both R-core as well as the gcc compilers so this issue is
moot.
The requirement is indirect but natural so nothing to note here. 

- Package installs properly.
  Note: Installation errors (see attachment)

That is due to the fact that R-zeallot that was approved yesterday is not yet available in rawhide compose.
This is a transient effect that will go away as soon as R-zeallot is available.


With all that said the package is approved.

Comment 3 Igor Raits 2019-05-21 07:53:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-vctrs

Comment 4 Fedora Update System 2019-05-22 23:48:37 UTC
R-vctrs-0.1.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-754b187a5a

Comment 5 Fedora Update System 2019-05-23 18:58:53 UTC
R-vctrs-0.1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-754b187a5a

Comment 6 Fedora Update System 2019-06-01 00:51:45 UTC
R-vctrs-0.1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.